package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("安卓菜谱详情3")
public class AndroidRecipeTypeThreeVO {
   @ApiModelProperty("分类标识")
   private Long typeId;
   @ApiModelProperty("分类名称")
   private String typeName;
   @ApiModelProperty("分类详情")
   private List<AndroidRecipeTypeDetailThreeVO> typeDetail;

   public Long getTypeId() {
      return this.typeId;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public List<AndroidRecipeTypeDetailThreeVO> getTypeDetail() {
      return this.typeDetail;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setTypeDetail(final List<AndroidRecipeTypeDetailThreeVO> typeDetail) {
      this.typeDetail = typeDetail;
   }

}
